import type * as ts from 'typescript';
import { Range, CodeActionContext, CodeAction } from 'vscode-languageserver/node';
import type { TextDocument } from 'vscode-languageserver-textdocument';
export interface FixAllData {
    type: 'fixAll';
    fileName: string;
    fixIds: {}[];
}
export interface RefactorData {
    type: 'refactor';
    fileName: string;
    refactorName: string;
    actionName: string;
    range: {
        pos: number;
        end: number;
    };
}
export declare type Data = FixAllData | RefactorData | undefined;
export declare function register(languageService: ts.LanguageService, getTextDocument: (uri: string) => TextDocument | undefined): (uri: string, range: Range, context: CodeActionContext) => CodeAction[] | undefined;
