"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.register = void 0;
const node_1 = require("vscode-languageserver/node");
const shared_1 = require("@volar/shared");
function register(languageService, getTextDocument) {
    return (uri, position) => {
        const document = getTextDocument(uri);
        if (!document)
            return;
        const fileName = shared_1.uriToFsPath(document.uri);
        const offset = document.offsetAt(position);
        const renameInfo = languageService.getRenameInfo(fileName, offset, { allowRenameOfImportPath: true });
        if (!renameInfo.canRename) {
            return new node_1.ResponseError(0, renameInfo.localizedErrorMessage);
        }
        return {
            start: document.positionAt(renameInfo.triggerSpan.start),
            end: document.positionAt(renameInfo.triggerSpan.start + renameInfo.triggerSpan.length),
        };
    };
}
exports.register = register;
//# sourceMappingURL=prepareRename.js.map